# Android makefile for ffmpeg libavutil

LOCAL_PATH := $(call my-dir)

include $(CLEAR_VARS)

include $(LOCAL_PATH)/../ffmpeg.mk

LOCAL_MODULE    := libavutil

LOCAL_C_INCLUDES :=		\
	$(LOCAL_PATH)		\
	$(LOCAL_PATH)/..

LOCAL_PATH := $(call my-dir)/Sources/libavutil

#### COMMONS #####

LOCAL_SRC_FILES := adler32.c aes.c avstring.c base64.c crc.c des.c error.c eval.c fifo.c intfloat_readwrite.c inverse.c lfg.c lls.c log.c lzo.c mathematics.c md5.c mem.c opt.c pixdesc.c random_seed.c rational.c rc4.c sha.c tree.c utils.c

#### ARM stuff #####

LOCAL_SRC_FILES += arm/cpu.c

LOCAL_CFLAGS += $(FFCFLAGS) -I$(LOCAL_PATH) -I$(LOCAL_PATH)/..

include $(BUILD_STATIC_LIBRARY)


